### Name: cricketers
### Title: Lifespans of cricketers
### Aliases: cricketers
### Keywords: datasets

### ** Examples

data(cricketers)
cricket <- subset(cricketers, year>=1840 & year <= 1960)
numLH <- xtabs(~ left+year, data=cricket)
propLH <- prop.table(numLH, margin=2)[2,]
yr <- as.numeric(colnames(numLH))
plot(propLH ~ yr)
cricket$lh <- unclass(cricket$left)-1
left2.hat <- fitted(lm(lh ~ poly(year,2), data=cricket))
ord <- order(cricket$year)
lines(left2.hat[ord] ~ cricket$year[ord])
library(splines)
ns3.hat <- fitted(lm(lh ~ ns(year,3), data=cricket))
lines(ns3.hat[ord] ~ cricket$year[ord], col="red")
library(survival)
summary(coxph(Surv(life, kia) ~ bs(year,3) +left, data=cricket))
cricket$notacdDead <- with(cricket, {dead[acd==1]<-0; dead})
summary(coxph(Surv(life, notacdDead) ~ ns(year,2) +left, data=cricket))



